import request from '@/utils/request'

// 查询企微联系客户统计数据列表
export function listUserBehaviorData(query) {
  return request({
    url: '/qw/userBehaviorData/list',
    method: 'get',
    params: query
  })
}

// 查询企微联系客户统计数据详细
export function getUserBehaviorData(id) {
  return request({
    url: '/qw/userBehaviorData/' + id,
    method: 'get'
  })
}

// 新增企微联系客户统计数据
export function addUserBehaviorData(data) {
  return request({
    url: '/qw/userBehaviorData',
    method: 'post',
    data: data
  })
}

// 修改企微联系客户统计数据
export function updateUserBehaviorData(data) {
  return request({
    url: '/qw/userBehaviorData',
    method: 'put',
    data: data
  })
}

// 删除企微联系客户统计数据
export function delUserBehaviorData(id) {
  return request({
    url: '/qw/userBehaviorData/' + id,
    method: 'delete'
  })
}

// 导出企微联系客户统计数据
export function exportUserBehaviorData(query) {
  return request({
    url: '/qw/userBehaviorData/export',
    method: 'get',
    params: query
  })
}